<?php

function db_connect(): PDO
{
    // Veritabanı ayarları
    $host = 'localhost';
    $dbname = 'tpaghgte_krclast2';
    $charset = 'utf8';
    $user = 'tpaghgte_krclast2';
    $password = '*;J3N*#Qb@eT';
    
    // DSN (Data Source Name) oluşturma
    $dsn = "mysql:host={$host};dbname={$dbname};charset={$charset}";

    try {
        $db = new PDO($dsn, $user, $password);
        $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        return $db;
    } catch (PDOException $e) {
        // Eğer bir hata oluşursa hata mesajını ekrana bas
        die("Veritabanı bağlantısı başarısız: " . $e->getMessage());
    }
}
